import os
import sys

try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup

setup(
    name='voltgrid',
    version='0.1.3',
    description='Official Voltgrid API library client for python',
    author='Andrew Cutler',
    author_email='andrew@voltgrid.com',
    url='https://voltgrid.com',
    zip_safe=False,
    license='BSD',
    install_requires=[
        'requests >= 2.1.0'
    ],
    packages=[
        'voltgrid',
        'voltgrid.api',
        'voltgrid.error',
        'voltgrid.http_client'
    ],
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3.2',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Topic :: Software Development :: Libraries :: Python Modules',
    ]
)
